package com.bocloud.cop.service.internal;

import com.megatron.common.http.ConnectionManagerHolder;
import com.megatron.common.http.HttpClient;
import org.apache.http.client.config.RequestConfig;
import org.apache.http.conn.ssl.NoopHostnameVerifier;
import org.apache.http.impl.client.HttpClientBuilder;
import org.apache.http.ssl.SSLContextBuilder;

public class IgnoreVerifyHttpClient extends HttpClient {

    @Override
    protected void init() {
        try {
            this.config = RequestConfig.custom().setSocketTimeout(getTimeout()).setConnectTimeout(getTimeout()).setProxy(this.proxy).setCookieSpec("standard-strict").build();
            this.httpClient = HttpClientBuilder.create()
                    .setSSLContext(new SSLContextBuilder().loadTrustMaterial((chain, authType) -> true).build())
                    .setSSLHostnameVerifier(NoopHostnameVerifier.INSTANCE)
                    .setConnectionManager(ConnectionManagerHolder.getConnectionManager())
                    .setConnectionManagerShared(true)
                    .setDefaultRequestConfig(this.config).build();
        } catch (Exception e) {
            throw new RuntimeException("IgnoreVerifyHttpClient init error", e);
        }
    }
}
